<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.tradingPlatform.mapper.TradingPlatformQualificationMapper">

    <resultMap type="com.trade.service.tradingPlatform.domain.TradingPlatformQualification"
               id="TradingPlatformQualificationMap">
        <result property="id" column="id"/>
        <result property="platformId" column="platform_id"/>
        <result property="platformCode" column="platform_code"/>
        <result property="hasImportExportScope" column="has_import_export_scope"/>
        <result property="finishedCustomsConsignorRegister" column="finished_customs_consignor_register"/>
        <result property="finishedEportAccess" column="finished_eport_access"/>
        <result property="finishedForeignExchangeRegister" column="finished_foreign_exchange_register"/>
        <result property="finishedTaxRefundRecord" column="finished_tax_refund_record"/>
        <result property="hasExportAgentQualify" column="has_export_agent_qualify"/>
        <result property="hasGeneralTaxpayerQualify" column="has_general_taxpayer_qualify"/>
        <result property="hasImportExportQualification" column="has_import_export_qualification"/>
        <result property="commodityMajorClass" column="commodity_major_class"/>
        <result property="hisExportCommodityClass" column="his_export_commodity_class"/>
        <result property="commoditySpecialQualification" column="commodity_special_qualification"/>
        <result property="remark" column="remark"/>
        <result property="deleted" column="deleted"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="gmtCreate" column="gmt_create"/>
        <result property="gmtModified" column="gmt_modified"/>
    </resultMap>

    <sql id="Base_Column_List">
        `id`, `platform_id`, `platform_code`, `has_import_export_scope`,
        `finished_customs_consignor_register`, `finished_eport_access`, `finished_foreign_exchange_register`,
        `finished_tax_refund_record`, `has_export_agent_qualify`, `has_general_taxpayer_qualify`,`has_import_export_qualification`,
        `commodity_major_class`, `his_export_commodity_class`, `commodity_special_qualification`,
        `remark`, `deleted`, `create_by`, `update_by`, `gmt_create`, `gmt_modified`
    </sql>

</mapper>

